%global www_user apache
%global www_group apache
%global doli_data_dir %{_sharedstatedir}/%{name}
%global doli_data_docs_dir %{doli_data_dir}/documents
%global doli_httpd_conf %{_sysconfdir}/httpd/conf.d/%{name}.conf
%global doli_conf %{_sysconfdir}/%{name}/conf.php


Name: nethserver-dolibarr
Version: 0.0.1
# https://github.com/Dolibarr/dolibarr/blob/2ccef4e469c404ce041c90c01d488ede2b48a971/build/makepack-dolibarr.pl#L146
# upstream releases: 0.1.a=dev/alpha; 0.2.beta=beta; 0.3.rc=RC; 0.4=final/stable
Release: 1%{?dist}
Summary: Nethserver dolibarr configuration
License: GPLv3+
URL: https://www.dolibarr.org

BuildArch: noarch

BuildRequires: nethserver-devtools
#Requires: perl
Requires: dolibarr
Requires: nethserver-httpd
Requires: nethserver-mysql
Requires: nethserver-rh-php72-php-fpm


%description
Nethserver's dolibarr configuration


%prep
%setup -q


%build
%{makedocs}
perl createlinks


%install
#rm -rf %{buildroot}
(cd root; find . -depth -print | cpio -dump %{buildroot})
%{genfilelist} %{buildroot} > %{name}-%{version}-filelist



%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%license COPYING
#%%doc README.rst

%dir %{_nseventsdir}/%{name}-update


%pre
# You should not add code in %post and %pre sections of the spec file.
# All the logic must be inside the -update event.


%post
# You should not add code in %post and %pre sections of the spec file.
# All the logic must be inside the -update event.


%postun
# if uninstalling
if [ $1 -eq 0 ] ; then

fi


%changelog
* Wed Jan 15 2020 @dnutan <dnutan+gh@mailbox.org> - 0.0.1-1.ns7
- Initial Development Release